/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.mandant.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QMandant extends EntityPathBase<Mandant> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QMandant mandant = new QMandant("mandant");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.mandant.entity.MandantArt> art = createEnum("art", de.ivu.elect.business.mandant.entity.MandantArt.class);

  public final StringPath beschreibung = createString("beschreibung");

  public final StringPath name = createString("name");

  public final NumberPath<java.lang.Long> nummer = createNumber("nummer", java.lang.Long.class);

  public final EnumPath<de.ivu.elect.business.mandant.entity.MandantStatus> status = createEnum("status", de.ivu.elect.business.mandant.entity.MandantStatus.class);

  public final EnumPath<de.ivu.elect.business.system.entity.SystemGebietsebene> systemGebietsebene = createEnum("systemGebietsebene", de.ivu.elect.business.system.entity.SystemGebietsebene.class);

  public final StringPath verantworteteGebiete = createString("verantworteteGebiete");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QMandant(Class<? extends Mandant> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QMandant(String variable) {
    this(Mandant.class, forVariable(variable), INITS);
  }

  public QMandant(Path<? extends Mandant> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QMandant(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QMandant(PathMetadata metadata, PathInits inits) {
    this(Mandant.class, metadata, inits);
  }
}
